[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:024982] Re: gnome 1.2 にアップ


ども、たかです。

In message "[vine-users:024972] gnome 1.2 にアップ"
    on 00/08/02, Kouzou Tsukiyama <tukiyama _at_ edu.shimane-u.ac.jp> wrote:

> ところで、gnome 1.2 にアップグレイドについて
> 
> Software Design 8月号 pp.70-71

この記事は読んでませんが、

> に書かれています。入れる順番は
> 
> imlib-1.9.8.1
> glib-1.2.8
> gtk+-1.2.8
> ORBit-0.5.1
> audiofile-0.9.1
> esound-0.2.18
> gnome-libs-1.2.1
> control-center-1.2.0
> gdk_pixbuf-0.8.0
> libxml-1.8.7
> gnome-core-1.2.1
> 
> とあります。

この辺のものをVineSeedから取ってきて、Vine 2.0CRにインストールして、
Vine 2.0CR上でGNOME 1.2を使ってます。
インストールした順番は忘れましたが、src.rpm からrebuildするときに、
あれが無いだのこれが無いだのいろいろ言われて、それを解決できる順番で
rebuild&install していったので、多分上記のような順番なんでしょう。(^^;

今のところ、使用していて特に問題はないです。
# が、あくまでも自己責任ということで。

> いつも困るのは依存関係なんたらが出て、最悪の時は再インストール
> に陥ることです。

うーん。glibcとかXとかの大物の場合はどうか判りませんが、こつこつと
依存関係の問題を解消していけば、大抵はなんとかなると思います。

依存関係で問題が出る場合、大抵は

1. そのパッケージに必要な、なにがしかのパッケージ(のなにがしかのバージョン)
   がインストールされてない
2. そのパッケージの古いバージョンを、他のパッケージが必要としている

のいずれかだと思いますので、前者の場合は、

 ・src.rpmからrebuildしたものをインストールする
 ・必要だとされるものを先にインストールする

のいずれか(あるいは両方)を、後者の場合は

 ・他のパッケージも同時にアップグレード
 ・他のパッケージを(可能なら)一旦アンインストールしてからインストール。
   そののち、先ほどアンインストールしたものをsrc.rpmからrebuildしてから
   インストールする

のいずれか(あるいは両方)、という作業をしつこく繰り返していけば、
なんとか解消できるのでは。
# 当然、雪崩式に作業量が増えてく場合もあります。(^^;

> 上の順番でいれてうまく gnome 1.2 が動いた人はおられますか?

そういうわけで、順番は忘れましたが、動いてます。
-- 
Tomoya TAKA <tomoya _at_ olive.plala.or.jp>

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: